from django.contrib import admin
from django.contrib.auth.admin import UserAdmin
from django.contrib.auth.models import User

from .models import Profile, Club


# ---
# The user related stuff
# ---

class ProfileInline(admin.StackedInline):
    model = Profile
    inline_classes = ["collapse open"]


class UserProfileAdmin(UserAdmin):
    inlines = [
        ProfileInline,
    ]


# ---
# Clubs
# ---

@admin.register(Club)
class ClubAdmin(admin.ModelAdmin):
    pass


admin.site.unregister(User)
admin.site.register(User, UserProfileAdmin)
