from django.conf.urls import url
from django.views.generic.base import TemplateView
from django.contrib.auth import views as django_views
from django_cas_ng import views as django_cas_views

from . import views

app_name = "gestion"
urlpatterns = [
    # Profile edition
    url(r"^profile/?$", views.profile, name="profile"),

    # Authentication
    url(r'^cof/denied$',
        TemplateView.as_view(template_name='cof-denied.html'),
        name="denied"),
    url(r'^cas/login$', django_cas_views.login, name="cas_login"),
    url(r'^cas/logout$', django_cas_views.logout, name="cas_logout"),
    url(r'^outsider/login$', views.login_ext, name="login_ext"),
    url(r'^outsider/logout$', django_views.logout, {'next_page': 'home'}),
    url(r'^login$', views.login, name="login"),
    url(r'^logout$', views.logout, name="logout"),
]
